#ifndef __FP_TIME
#define __FP_TIME

#include <stdio.h>

struct tm{
    int tm_sec;
    int tm_min;
    int tm_hour;
    int tm_mday;
    int tm_mon;
    int tm_year;
    int tm_wday;
    int tm_yday;
    int tm_isdst;
    long int __tm_gmtoff;
     __const char *__tm_zone;
};
typedef long int time_t;
typedef signed long int clock_t;
extern time_t time(time_t *tp);
extern clock_t clock(void);
extern double difftime(time_t time2, time_t time1);
extern time_t mktime(struct tm *tp);
extern char *asctime(const struct tm *tp);
extern char *ctime(const time_t *tp);
extern struct tm *gmtime(const time_t *tp);
extern struct tm *localtime(const time_t *tp);
extern size_t strftime(char *s, size_t smax,
                       const char *format, const struct tm *tp);
#endif
